#ifndef DATA_LOG_H
#define DATA_LOG_H

#include <stdint.h>

typedef struct __attribute__((__packed__)) {
	float current;
	float voltage;
} Sample;

#define ENTRIES_PER_HOUR 12

typedef struct __attribute__((__packed__)) {

	float minimumCurrent[ENTRIES_PER_HOUR * 24];
	float maximumCurrent[ENTRIES_PER_HOUR * 24];
	float averageCurrent[ENTRIES_PER_HOUR * 24];

	float minimumVoltage[ENTRIES_PER_HOUR * 24];
	float maximumVoltage[ENTRIES_PER_HOUR * 24];
	float averageVoltage[ENTRIES_PER_HOUR * 24];

	uint8_t validData[ENTRIES_PER_HOUR * 24];

	uint8_t year;
	uint8_t month;
	uint8_t date;
} DayLog;

void DataLog_GetCurrentSample(Sample* out);
int DataLog_GetDayLog(DayLog* daylog, uint8_t year, uint8_t month, uint8_t date);
void DataLog_ErasaAllDayLogs();

#endif
